#
#
# Toplevel makefile for TkScript and plugins on Win32 / MSYS / GNU make / MSVC++
#
#   - Requires MSYS bash
#
#   - Cygwin BASH is required for *_zip targets (didn't get zip to work with MSYS..)
#
#  - please adjust the PLUGINS list (see below) before building
#
#  - edit "install_msvc.mk" to configure the build environment setup (install dirs, ..)
#
#  - edit "plugin_msvc.mk" to configure plugin-specific options
#
#

include install_msvc.mk

MKFILE=makefile.msvc

TKS_ZIP_PREFIX=/cygdrive/h/www.tkscript.de/files/current

# core plugins
PLUGINS= yingtest__ tksdl__ tkopengl__ tkfreetype2__ tkui__ 

# other plugins
PLUGINS += tksdl_net__ 
PLUGINS += tkdist2d__ 

# graphics plugins (not used by ST2)
PLUGINS += tkcg__ 
PLUGINS += tkchipmunk__ 
PLUGINS += tkfreeglut__ 
PLUGINS += tkmath__ 
PLUGINS += tkoldmath__ 

# audio plugins (not used by ST2)
PLUGINS += eqxmms__ 
PLUGINS += tksidplay2__
PLUGINS += tkfreeverb__ 
PLUGINS += tksmdi__ 

# ST2 audio plugins
PLUGINS += tkmidi__ 
PLUGINS += tkportaudio__ 
PLUGINS += tksampler__ 
PLUGINS += tksampleedit__ 
PLUGINS += tksynth__ 
PLUGINS += tkvst__ 
PLUGINS += tkcustomsynth__ 

include makefile.common


clean_bak:
	$(RM) `find . -name \*~`
